Package org.eclipse.net4j.util.security

# Class DiffieHellman.Server.Challenge

java.lang.Object
org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge

Enclosing class:
  `DiffieHellman.Server`

public static final class DiffieHellman.Server.Challenge extends Object

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Challenge(byte[] data)`
`Challenge(String hex)`
`Challenge(String serverRealm, String secretAlgorithm, String cipherTransformation, byte[] serverPubKeyEnc)`
Deprecated.
As of 3.8 public construction is no longer supported.
`Challenge(ExtendedDataInput in)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCipherTransformation()`
`String`
`getCypherTransformation()`
Deprecated.
As of 3.8 use `getCipherTransformation()`.
`String`
`getSecretAlgorithm()`
`int`
`getSecretAlgorithmKeyLen()`
`byte[]`
`getServerPubKeyEnc()`
`String`
`getServerRealm()`
`byte[]`
`toByteArray()`
`String`
`toString()`
`void`
`write(ExtendedDataOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Challenge

@Deprecated public Challenge(String serverRealm, String secretAlgorithm, String cipherTransformation, byte[] serverPubKeyEnc)
Deprecated.
As of 3.8 public construction is no longer supported.

### Challenge

public Challenge(ExtendedDataInput in) throws IOException

Throws:
  `IOException`

### Challenge

public Challenge(byte[] data) throws IOException

Throws:
  `IOException`
Since:
  3.21

### Challenge

public Challenge(String hex) throws IOException

Throws:
  `IOException`
Since:
  3.21

## Method Details

### getServerRealm

public String getServerRealm()

### getSecretAlgorithmKeyLen

public int getSecretAlgorithmKeyLen()

Since:
  3.8

### getSecretAlgorithm

public String getSecretAlgorithm()

### getCipherTransformation

public String getCipherTransformation()

Since:
  3.8

### getCypherTransformation

@Deprecated public String getCypherTransformation()
Deprecated.
As of 3.8 use `getCipherTransformation()`.

### getServerPubKeyEnc

public byte[] getServerPubKeyEnc()

### write

public void write(ExtendedDataOutput out) throws IOException

Throws:
  `IOException`

### toByteArray

public byte[] toByteArray()

Since:
  3.21

### toString

public String toString()

Overrides:
  `toString` in class `Object`
Since:
  3.21